// ====================================================================
//  Class:  TabsTut.TabTut_GameRulesCWindow
//  Parent: UTMenu.UTRulesCWindow
//
//  This is the "content" of the window. I added a checkbox (bSomeBool)
//  and an editbox (sTheText).
//
// This class is made for the Tabs tutorial. 
// This tutorial can be found at http://home.ict.nl/~mweterin/unreal
//
// You are allowed to use and modify this class without my permission.
// ====================================================================

class TabTut_GameRulesCWindow extends UTRulesCWindow;

var UWindowCheckbox SomeBoolCheck;
var localized string SomeBoolText;
var localized string SomeBoolHelp;

function Created()
{
	local int ControlWidth, ControlLeft, ControlRight;

	Super.Created();

	ControlWidth = WinWidth/2.5;
	ControlLeft = (WinWidth/2 - ControlWidth)/2;
	ControlRight = WinWidth/2 + ControlLeft;

	// SomeBool
	SomeBoolCheck = UWindowCheckbox(CreateControl(class'UWindowCheckbox', ControlRight, ControlOffset, ControlWidth, 1));
	SomeBoolCheck.SetText(SomeBoolText);
	SomeBoolCheck.SetHelpText(SomeBoolHelp);
	SomeBoolCheck.SetFont(F_Normal);
	SomeBoolCheck.Align = TA_Right;
	
	if(ForceRespawnCheck != None)
	{
		SomeBoolCheck.Wintop = ForceRespawnCheck.Wintop;
	}

}

function BeforePaint(Canvas C, float X, float Y)
{
	local int ControlWidth, ControlLeft, ControlRight;
	local int CenterWidth, CenterPos, ButtonWidth, ButtonLeft;

	Super.BeforePaint(C, X, Y);

	ControlWidth = WinWidth/2.5;
	ControlLeft = (WinWidth/2 - ControlWidth)/2;
	ControlRight = WinWidth/2 + ControlLeft;

	CenterWidth = (WinWidth/4)*3;
	CenterPos = (WinWidth - CenterWidth)/2;

	SomeBoolCheck.SetSize(ControlWidth, 1);
	SomeBoolCheck.WinLeft = ControlRight;
}

function LoadCurrentValues()
{
	Super.LoadCurrentValues();

	SomeBoolCheck.bChecked = Class<TabTut_Gametype>(BotmatchParent.GameClass).Default.bSomeBool;
}

function Notify(UWindowDialogControl C, byte E)
{
	if (!Initialized)
		return;

	Super.Notify(C, E);

	switch(E)
	{
	case DE_Change:
		switch(C)
		{
		case SomeBoolCheck:
			SomeBoolChanged();
			break;
		}
	}
}

function SomeBoolChanged()
{
	// Since this Rules window is only used for the Tabtut_Gametype we
	// can replace the cast with this code.
	Class<TabTut_Gametype>(BotmatchParent.GameClass).Default.bSomeBool = SomeBoolCheck.bChecked;
}

defaultproperties
{
	SomeBoolText="SomeBool"
	SomeBoolHelp="This is the helptext of SomeBool"
}
